WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Thesis OpenHook] Facing Problem While Updating

[Plugin: Thesis OpenHook] Facing Problem While Updating

  • I am using thesis 1.8.2 and I was getting a notification about open hook plugin which says

    If you are upgrading from 2.x.x, be sure to FIRST upgrade your options via Settings -> OpenHook; otherwise, you may find your customizations have vanished!

    I don’t find this Settings -> OpenHook
    Rather there was Appearance -> Thesis OpenHook

    After updating all my previous customizations were gone. Then from the control panel of the plugin while I was trying to activate thesis hooks I got error like:

    /home/XXX/public_html/wp-content/plugins/thesis-openhook/functions-admin.php on line 246

    I can’t activate customizations because of the error so I searched in Google and fortunately find a previous version of the plugin and then remove the most updated one and install previous one which fix my problem.

    Please let me use the updated plugins and fix the issues I mentioned above.

    Hotelier Tanji
    Hotel Management Training

Viewing 15 replies - 1 through 15 (of 30 total)
  • You won’t find the Upgrade option until after you have upgraded; it exists as part of version 3. In other words, once you upgrade, browse to Settings -> OpenHook in order to upgrade from version 2.

    The error message you gave is incomplete, but judging by the file & the line number, i’d guess that your upgrade was somehow incomplete, that index.php wasn’t updated somehow so that the OPENHOOK_GENERAL_SETTINGS define doesn’t get set.

    not working… gonna down grade to previous version

    Hi Rick,

    I upgraded to 3.1 through WP admin this A.M., and all my customization is missing. I was using 3 (I keep plugins current). I tried using the upgrade from 2 but that did not work.

    You can see what happened here No header, or drop down nav or footers.

    I tried putting the code back into the footer, hook and WP footer, but it does not show up.

    Can you help?

    Thanks

    Did you activate the Thesis customizations on the admin page (the checkbox for Active Actions)?

    Yes, but it does this

    I’m having a similar issue. I just upgraded and no customizations were showing. I then did the upgrade option and they are showing up just fine now but they are not actually “working”. I do not see a checkbox for Active Actions. Where do I find that?

    Thanks!
    Julie
    http://the-gadgeteer.com

    Julie, under the General Tab

    Found the active actions checkbox and yes I have both boxes checked… but none of my hooks are actually working… No errors, just nothing.

    Hmmm, apparently the new openhook does not like my php code that I’ve been using with the previous version. I removed a block of code and just added the word TEST, saved and that worked…

    Not sure how to debug this… Here’s the way the code was upgraded:

    <?php { print(\”
    \”); } ?>
    <center>
    <SCRIPT type=\”text/javascript\” SRC=\”http://shop.brando.com/ad/thegadgeteer/randbanner.js\”></SCRIPT>
    <?php { print(\”
    \”); } ?>

    Okay, it did import my old hooks, but like Julie, it is not working….mine is still adding that left nav (I unchecked so Google does not start indexing those page)

    Downgraded to 2.32 after the upgrade messed up with everything. All customisations were gone even after selecting the “activating the Thesis customizations on the admin page (the checkbox for Active Actions)”.

    Also, tried the upgrade button. Even though it said everything got upgraded, all my customisations were missing.

    Back to 2.32 and glad that all my customisations are back.

    Hi Avinash,

    How did you do that? I would like to since the more time passes before a fix, the more I run into SEO problems.

    Nevermind. Looks like Rick put up the older version.

    Version 3.2 should fix all known issues.

    Users experiencing issues with backslash-filled customizations should re-import from 2.x.x (assuming you haven’t already deleted the old options); they will be properly cleaned up with slashes removed as expected.

    Where do we get version 3.2? I only see 3.1 on the WordPress.org plugin page.

Viewing 15 replies - 1 through 15 (of 30 total)
  • The topic ‘[Plugin: Thesis OpenHook] Facing Problem While Updating’ is closed to new replies.
Skip to toolbar